Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Oomph » Can't install Eclipse 2019-03(I get this error when I try to install it:)
Can't install Eclipse 2019-03 [message #1806749] Tue, 14 May 2019 16:16 Go to next message
Kritin Maddireddy is currently offline Kritin MaddireddyFriend
Messages: 2
Registered: May 2019
Junior Member
Hello, I'm attempting a fresh install of Eclipse for the first time. This is the error I get whenever I try to install it. It keeps failing.

Quote:
[2019-05-14 21:43:15] Executing bootstrap tasks
[2019-05-14 21:43:15] Java(TM) SE Runtime Environment 1.8.0_211-b12
[2019-05-14 21:43:15] Product org.eclipse.products.epp.package.java.2019-03
[2019-05-14 21:43:15] Bundle org.eclipse.oomph.setup 1.12.0.v20190206-0943, build=3895, branch=a662e867f63d5b59dd0935621f30827543b3c0bb
[2019-05-14 21:43:15] Bundle org.eclipse.oomph.setup.core 1.12.0.v20190206-0651, build=3895, branch=a662e867f63d5b59dd0935621f30827543b3c0bb
[2019-05-14 21:43:15] Bundle org.eclipse.oomph.setup.p2 1.10.0.v20180706-1242, build=3895, branch=a662e867f63d5b59dd0935621f30827543b3c0bb
[2019-05-14 21:43:15] Performing P2 Director (Eclipse IDE for Java Developers (2019-03))
[2019-05-14 21:43:15] Offline = false
[2019-05-14 21:43:15] Mirrors = true
[2019-05-14 21:43:15] Resolving 23 requirements from 3 repositories to C:\Users\mkrit\eclipse\java-2019-035\eclipse
[2019-05-14 21:43:15] Requirement epp.package.java [4.11.0,5.0.0)
[2019-05-14 21:43:15] Requirement org.eclipse.platform.feature.group [4.11.0,5.0.0)
[2019-05-14 21:43:15] Requirement org.eclipse.rcp.feature.group [4.11.0,5.0.0)
[2019-05-14 21:43:15] Requirement org.eclipse.buildship.feature.group
[2019-05-14 21:43:15] Requirement org.eclipse.eclemma.feature.feature.group
[2019-05-14 21:43:15] Requirement org.eclipse.egit.feature.group
[2019-05-14 21:43:15] Requirement org.eclipse.egit.mylyn.feature.group
[2019-05-14 21:43:15] Requirement org.eclipse.epp.mpc.feature.group
[2019-05-14 21:43:15] Requirement org.eclipse.jdt.feature.group
[2019-05-14 21:43:15] Requirement org.eclipse.jgit.feature.group
[2019-05-14 21:43:15] Requirement org.eclipse.m2e.feature.feature.group
[2019-05-14 21:43:15] Requirement org.eclipse.m2e.logback.feature.feature.group
[2019-05-14 21:43:15] Requirement org.eclipse.mylyn.bugzilla_feature.feature.group
[2019-05-14 21:43:15] Requirement org.eclipse.mylyn.context_feature.feature.group
[2019-05-14 21:43:15] Requirement org.eclipse.mylyn.git.feature.group
[2019-05-14 21:43:15] Requirement org.eclipse.mylyn.hudson.feature.group
[2019-05-14 21:43:15] Requirement org.eclipse.mylyn.ide_feature.feature.group
[2019-05-14 21:43:15] Requirement org.eclipse.mylyn.java_feature.feature.group
[2019-05-14 21:43:15] Requirement org.eclipse.mylyn.wikitext_feature.feature.group
[2019-05-14 21:43:15] Requirement org.eclipse.mylyn_feature.feature.group
[2019-05-14 21:43:15] Requirement org.eclipse.tips.feature.feature.group
[2019-05-14 21:43:15] Requirement org.eclipse.wst.xml_ui.feature.feature.group
[2019-05-14 21:43:15] Requirement org.eclipse.oomph.setup.feature.group
[2019-05-14 21:43:15] Repository http://download.eclipse.org/technology/epp/packages/2019-03
[2019-05-14 21:43:15] Repository http://download.eclipse.org/releases/2019-03/201903201000
[2019-05-14 21:43:15] Repository http://download.eclipse.org/oomph/updates/milestone/latest
[2019-05-14 21:43:18] Calculating requirements and dependencies.
[2019-05-14 21:43:22] Computing prerequisite plan
[2019-05-14 21:43:26] Collecting 1 artifacts from http://download.eclipse.org/technology/epp/packages/2019-03
[2019-05-14 21:43:27] Downloading epp.package.java.executable.win32.win32.x86_64
[2019-05-14 21:43:27] Collected 1 artifacts for http://download.eclipse.org/technology/epp/packages/2019-03 in 0.77s
[2019-05-14 21:43:27] Collecting 3 artifacts from http://download.eclipse.org/releases/2019-03/201903201000
[2019-05-14 21:43:29] Downloading org.eclipse.platform_root
[2019-05-14 21:43:29] Downloading org.eclipse.platform.ide.executable.win32.win32.x86_64
[2019-05-14 21:43:29] Downloading org.eclipse.rcp_root
[2019-05-14 21:43:29] Collected 3 artifacts for http://download.eclipse.org/releases/2019-03/201903201000 in 1.468s
[2019-05-14 21:43:29] An error was detected while performing the engine operation and the changes are being rolled back. See the log for details.
[2019-05-14 21:43:29] ERROR: org.eclipse.equinox.p2.engine code=4 An error occurred while collecting items to be installed
at org.eclipse.oomph.util.OomphPlugin.coreException(OomphPlugin.java:280)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl$3.commit(ProfileTransactionImpl.java:547)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl.commit(ProfileTransactionImpl.java:340)
at org.eclipse.oomph.setup.p2.impl.P2TaskImpl.perform(P2TaskImpl.java:733)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.doPerformNeededSetupTasks(SetupTaskPerformer.java:3335)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performNeededSetupTasks(SetupTaskPerformer.java:3263)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performTriggeredSetupTasks(SetupTaskPerformer.java:3244)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.perform(SetupTaskPerformer.java:3144)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage.installPerform(SimpleVariablePage.java:1298)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage.access$32(SimpleVariablePage.java:1166)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage$20.run(SimpleVariablePage.java:1111)
ERROR: org.eclipse.equinox.p2.engine code=0 session context was:(profile=C__Users_mkrit_eclipse_java-2019-035_eclipse, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.nebula.widgets.tablecombo,1.2.0.201904111744
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: org.eclipse.update.feature,org.eclipse.oomph.setup.core,1.13.0.v20190410-0646
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: org.eclipse.update.feature,org.eclipse.oomph.setup,1.13.0.v20190410-1549
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.oomph.setup.ui,1.13.0.v20190410-1549

[2019-05-14 21:43:29]
Re: Can't install Eclipse 2019-03 [message #1806788 is a reply to message #1806749] Wed, 15 May 2019 07:38 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 30448
Registered: July 2009
Senior Member
Looking at these version numbers, those do not look like the versions actually in https://download.eclipse.org/oomph/updates/milestone/latest/ so I get the sense that some type of network failure is using an older cached versions of the metadata for that repository.

I just tested an install of the Eclipse IDE for Java 2019-03 simulating a first-time user installation and that worked for me, so nothing is fundamentally wrong with the actual update sites involved.

There are two places where caches are kept that might/will be used when there are network failures to get new information, both in your home folder:

.p2\org.eclipse.equinox.p2.repository\cache
.eclipse\org.eclipse.oomph.p2\cache

You could try to delete all the files in these folders and try to install again.

I would appreciate if you let me know whether or not that does the trick.
Re: Can't install Eclipse 2019-03 [message #1806798 is a reply to message #1806788] Wed, 15 May 2019 10:23 Go to previous messageGo to next message
Kritin Maddireddy is currently offline Kritin MaddireddyFriend
Messages: 2
Registered: May 2019
Junior Member
That did the trick! Thank you!
Re: Can't install Eclipse 2019-03 [message #1806803 is a reply to message #1806798] Wed, 15 May 2019 10:32 Go to previous message
Ed Merks is currently offline Ed MerksFriend
Messages: 30448
Registered: July 2009
Senior Member
It's so annoying though. But what can you do when networks aren't 100% reliable. I appreciate you sending a followup note so that in the future when someone has a problem like this that I know cache clearing can be helpful.
Previous Topic:VariableTask inconsistent behavior
Next Topic:Error during installation of Eclipse IDE for C/C++ Developers (2019-03)
Goto Forum:
  


Current Time: Tue Sep 17 12:13:47 GMT 2019

Powered by FUDForum. Page generated in 0.02152 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top